<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form" ng-submit="submit()" class="form-horizontal" novalidate>
    <div class="box-header with-border">
        <h3 class="box-title"><strong>Etape 1</strong> : Envoyez un fichier représentatif du flux</h3>
        <!-- /.box-tools -->
    </div>
    <div class="box-body">
        <div class="small-box bg-gray-light">
            <div class="icon-heading">
                <i class="fa fa-info-circle"></i>
            </div>
            <div class="inner">
                Pour amorcer la définition de vos règles d'alignement, il faut tout d'abord envoyer à la plateforme un ou plusieurs fichiers XML d'exemple.
            </div>
        </div>
        <div class="form-group required" ng-class="{'has-error': form.file.$invalid && form.$submitted}">
            <label class="col-sm-4 control-label required">Choisissez un fichier XML ou ZIP</label>
            <div class="col-sm-8">
                <input class="form-control" type="file" ngf-select ng-model="data.file" ngf-pattern="'.xml,.zip'" name="file" required>
                <p class="help-block" ng-show="form.file.$invalid && form.$submitted">Assurez vous de sélectionner un fichier XML valide !</p>
            </div>
        </div>
    </div>
    <div class="box-footer">
        <button type="submit" class="btn btn-primary pull-right" ng-class="{disabled: form.$invalid && !schema}">Etape suivante</button>
    </div>
</form>